Index: branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90
===================================================================
--- branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90	(revision 311)
+++ branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90	(revision 326)
@@ -2902,20 +2902,4 @@
     control_flags%ok_dgvm = .FALSE.
     CALL getin_p('STOMATE_OK_DGVM',control_flags%ok_dgvm)
-
-    IF ( control_flags%ok_dgvm ) THEN
-       WRITE(numout,*) 'You try to use LPJ ',control_flags%ok_dgvm, &
-            ' with this version. '
-       WRITE(numout,*) 'It is not possible because it has to be modified ', &
-            ' to give correct values.'
-       CALL ipslerr (2,'intsurf_config', &
-         &          'Use of STOMATE_OK_DGVM is not stable for this version.',&
-         &          'ORCHIDEE should not give correct results with this option activated.', &
-         &          'Please disable DGVM to use this version of ORCHIDEE.')
-    ENDIF
-    !
-!!$    DS : reading of parameters associated to ok_dgvm
-    IF ( control_flags%ok_dgvm ) THEN
-       CALL getin_dgvm_parameters
-    ENDIF    
 
     !
@@ -4586,6 +4570,5 @@
             & dt, hist_dt_stom, hori_id, hist_PFTaxis_id, &
             & hist_pool_10axis_id, hist_pool_100axis_id, &
-            & hist_pool_11axis_id, hist_pool_101axis_id, control_flags)
-! deforestation axis added as arguments
+            & hist_pool_11axis_id, hist_pool_101axis_id)
 
        !- end definition
@@ -4683,5 +4666,5 @@
        &  hist_dt, hist_hori_id, hist_PFTaxis_id, &
        & hist_pool_10axis_id, hist_pool_100axis_id, &
-       & hist_pool_11axis_id, hist_pool_101axis_id, control_flags)
+       & hist_pool_11axis_id, hist_pool_101axis_id)
     ! deforestation axis added as arguments
 
@@ -4711,6 +4694,4 @@
     INTEGER(i_std),INTENT(in) :: hist_pool_10axis_id,hist_pool_100axis_id
     INTEGER(i_std),INTENT(in) :: hist_pool_11axis_id,hist_pool_101axis_id
-    !- Flags that (de)activate parts of the model
-    TYPE(control_type), INTENT(in)             :: control_flags
     !-
     !- 1 local
@@ -4941,19 +4922,17 @@
          &               nvm,1,nvm, hist_PFTaxis_id,32, ave(3), dt, hist_dt)
 
-    IF ( control_flags%ok_dgvm ) THEN    
-       ! Adaptation to climate
-       CALL histdef (hist_id_stom, &
-            &               TRIM("ADAPTATION          "), &
-            &               TRIM("Adaptation to climate (DGVM)                      "), &
-            &               TRIM("-                   "), iim,jjm, hist_hori_id, &
-            &               nvm,1,nvm, hist_PFTaxis_id,32, ave(3), dt, hist_dt)
-
-       ! Probability from regenerative
-       CALL histdef (hist_id_stom, &
-            &               TRIM("REGENERATION        "), &
-            &               TRIM("Probability from regenerative (DGVM)               "), &
-            &               TRIM("-                   "), iim,jjm, hist_hori_id, &
-            &               nvm,1,nvm, hist_PFTaxis_id,32, ave(3), dt, hist_dt)
-    ENDIF
+    ! Adaptation to climate
+    CALL histdef (hist_id_stom, &
+         &               TRIM("ADAPTATION          "), &
+         &               TRIM("Adaptation to climate (DGVM)                      "), &
+         &               TRIM("-                   "), iim,jjm, hist_hori_id, &
+         &               nvm,1,nvm, hist_PFTaxis_id,32, ave(3), dt, hist_dt)
+    
+    ! Probability from regenerative
+    CALL histdef (hist_id_stom, &
+         &               TRIM("REGENERATION        "), &
+         &               TRIM("Probability from regenerative (DGVM)               "), &
+         &               TRIM("-                   "), iim,jjm, hist_hori_id, &
+         &               nvm,1,nvm, hist_PFTaxis_id,32, ave(3), dt, hist_dt)
 
     ! crown area of individuals (m**2)
Index: branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/slowproc.f90
===================================================================
--- branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/slowproc.f90	(revision 311)
+++ branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/slowproc.f90	(revision 326)
@@ -703,8 +703,8 @@
        ! to be in sechiba when teststomate will have disapeared.
 !MM Problem here with dpu which depends on soil type
-    DO jv = 1, nbdl-1
+    DO l = 1, nbdl-1
        ! first 2.0 is dpu 
        ! second 2.0 is average
-       diaglev(jv) = dpu_cste/(2**(nbdl-1) -1) * ( ( 2**(jv-1) -1) + ( 2**(jv) -1) ) / 2.0
+       diaglev(l) = dpu_cste/(2**(nbdl-1) -1) * ( ( 2**(l-1) -1) + ( 2**(l) -1) ) / 2.0
     ENDDO
     diaglev(nbdl) = dpu_cste
@@ -2579,16 +2579,15 @@
              ! conservation :
              rapport = ( sum_veg - sumvAnthro ) / ( sum_veg - sumvAnthro_old )
-             veget_next(ib,1) = veget_last(ib,1) * rapport
-             DO jv = 2, nvm
-                IF ( .NOT. natural(jv) ) THEN
+             DO jv = 1, nvm
+                IF ( natural(jv) ) THEN
                    veget_next(ib,jv) = veget_last(ib,jv) * rapport
                 ENDIF
              ENDDO
              ! test
-             IF ( ABS( SUM(veget_next(ib,:)) - sum_veg ) > EPSILON(un) ) THEN
+             IF ( ABS( SUM(veget_next(ib,:)) - sum_veg ) > 10*EPSILON(un) ) THEN
                 WRITE(numout,*) "No conservation of sum of veget for point ",ib,",(",lalo(ib,1),",",lalo(ib,2),")" 
                 WRITE(numout,*) "last sum of veget ",sum_veg," new sum of veget ",SUM(veget_next(ib,:))," error : ",&
                      &                         SUM(veget_next(ib,:)) - sum_veg
-                WRITE(numout,*) "Anthropic modificaztions : last ",sumvAnthro_old," new ",sumvAnthro                
+                WRITE(numout,*) "Anthropic modifications : last ",sumvAnthro_old," new ",sumvAnthro  
                 CALL ipslerr (3,'slowproc_update', &
                      &          'No conservation of sum of veget_next', &