Index: branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/pft_parameters.f90
===================================================================
--- branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/pft_parameters.f90	(revision 426)
+++ branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/pft_parameters.f90	(revision 428)
@@ -1025,11 +1025,11 @@
 !=
 !
- SUBROUTINE getin_sechiba_pft_parameters
-
+ SUBROUTINE getin_pft_parameters
+   
    IMPLICIT NONE
   
    LOGICAL, SAVE ::  first_call = .TRUE.
 
-  IF(first_call) THEN
+   IF (first_call) THEN
 
      !-
@@ -1187,44 +1187,8 @@
      !Config  Units = 
      CALL getin_p('EXT_COEFF',ext_coeff)
-     !-
-     ! Evapotranspiration -  sechiba
-     !-
-     !
-     !Config  Key  = RSTRUCT_CONST
-     !Config  Desc = Structural resistance : one for each vegetation type
-     !Config  if  = OK_SECHIBA
-     !Config  Def  = 0.0, 25.0, 25.0, 25.0, 25.0, 25.0, 25.0, 25.0, 25.0,  2.5,  2.0,  2.0,  2.0
-     !Config  Help =
-     !Config  Units = 
-     CALL getin_p('RSTRUCT_CONST',rstruct_const)
-     !
-     !Config  Key  = KZERO
-     !Config  Desc =  A vegetation dependent constant used in the calculation of the surface resistance.
-     !Config  if  = OK_SECHIBA
-     !Config  Def  = 0.0, 12.E-5, 12.E-5, 12.e-5, 12.e-5, 25.e-5, 12.e-5,25.e-5, 25.e-5, 30.e-5, 30.e-5, 30.e-5, 30.e-5 
-     !Config  Help =
-     !Config  Units = 
-     CALL getin_p('KZERO',kzero)
-     !
-     ! Ajouts Nathalie - le 28 Mars 2006 - sur conseils Fred Hourdin
-     !
-     !Config  Key  = RVEG_PFT
-     !Config  Desc = Artificial parameter to increase or decrease canopy resistance.
-     !Config  if  = OK_SECHIBA
-     !Config  Def  = 1.
-     !Config  Help = This parameter is set by PFT.
-     !Config  Units = 
-     CALL getin_p('RVEG_PFT', rveg_pft)    
+
      !-
      ! Water-hydrology - sechiba
      !-
-     !
-     !Config  Key  = WMAX_VEG
-     !Config  Desc = Maximum field capacity for each of the vegetations (Temporary): max quantity of water
-     !Config  if  = OK_SECHIBA
-     !Config  Def  =  150., 150., 150., 150., 150., 150., 150.,150., 150., 150., 150., 150., 150.
-     !Config  Help =
-     !Config  Units = [Kg/M3]
-     CALL getin_p('WMAX_VEG',wmax_veg)
      !
      !Config  Key  = HYDROL_HUMCSTE
@@ -1237,4 +1201,89 @@
      !Config  Units = 
      CALL getin_p('HYDROL_HUMCSTE', humcste)
+
+     !-
+     ! Soil - vegetation
+     !-
+     !
+     !Config  Key  = PREF_SOIL_VEG_SAND
+     !Config  Desc = Table which contains the correlation between the soil types and vegetation type
+     !Config  if  = OK_SECHIBA
+     !Config  Def  = 1, 3, 3, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2
+     !Config  Help = first layer of the soil
+     !Config  Units = 
+     CALL getin_p('PREF_SOIL_VEG_SAND',pref_soil_veg_sand)
+     !
+     !Config  Key  = PREF_SOIL_VEG_LOAN
+     !Config  Desc = Table which contains the correlation between the soil types and vegetation type
+     !Config  if  = OK_SECHIBA
+     !Config  Def  = 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3
+     !Config  Help = second layer of the soil
+     !Config  Units = 
+     CALL getin_p('PREF_SOIL_VEG_LOAN',pref_soil_veg_loan) 
+      !
+     !Config  Key  = PREF_SOIL_VEG_CLAY
+     !Config  Desc = Table which contains the correlation between the soil types and vegetation type
+     !Config  if  = OK_SECHIBA
+     !Config  Def  = 3, 1, 1, 1, 1, 1 ,1 ,1 ,1 ,1 ,1 ,1, 1 
+     !Config  Help = third layer of the soil 
+     !Config  Units =        
+     CALL getin_p('PREF_SOIL_VEG_CLAY',pref_soil_veg_clay)
+
+     first_call = .FALSE.
+
+   ENDIF
+
+ END SUBROUTINE getin_pft_parameters
+!
+!=
+!
+ SUBROUTINE getin_sechiba_pft_parameters
+
+   IMPLICIT NONE
+  
+   LOGICAL, SAVE ::  first_call = .TRUE.
+
+  IF (first_call) THEN
+     !-
+     ! Evapotranspiration -  sechiba
+     !-
+     !
+     !Config  Key  = RSTRUCT_CONST
+     !Config  Desc = Structural resistance : one for each vegetation type
+     !Config  if  = OK_SECHIBA
+     !Config  Def  = 0.0, 25.0, 25.0, 25.0, 25.0, 25.0, 25.0, 25.0, 25.0,  2.5,  2.0,  2.0,  2.0
+     !Config  Help =
+     !Config  Units = 
+     CALL getin_p('RSTRUCT_CONST',rstruct_const)
+     !
+     !Config  Key  = KZERO
+     !Config  Desc =  A vegetation dependent constant used in the calculation of the surface resistance.
+     !Config  if  = OK_SECHIBA
+     !Config  Def  = 0.0, 12.E-5, 12.E-5, 12.e-5, 12.e-5, 25.e-5, 12.e-5,25.e-5, 25.e-5, 30.e-5, 30.e-5, 30.e-5, 30.e-5 
+     !Config  Help =
+     !Config  Units = 
+     CALL getin_p('KZERO',kzero)
+     !
+     ! Ajouts Nathalie - le 28 Mars 2006 - sur conseils Fred Hourdin
+     !
+     !Config  Key  = RVEG_PFT
+     !Config  Desc = Artificial parameter to increase or decrease canopy resistance.
+     !Config  if  = OK_SECHIBA
+     !Config  Def  = 1.
+     !Config  Help = This parameter is set by PFT.
+     !Config  Units = 
+     CALL getin_p('RVEG_PFT', rveg_pft)    
+
+     !-
+     ! Water-hydrology - sechiba
+     !-
+     !
+     !Config  Key  = WMAX_VEG
+     !Config  Desc = Maximum field capacity for each of the vegetations (Temporary): max quantity of water
+     !Config  if  = OK_SECHIBA
+     !Config  Def  =  150., 150., 150., 150., 150., 150., 150.,150., 150., 150., 150., 150., 150.
+     !Config  Help =
+     !Config  Units = [Kg/M3]
+     CALL getin_p('WMAX_VEG',wmax_veg)
      !
      !Config  Key  = PERCENT_THROUGHFALL_PFT
@@ -1246,4 +1295,5 @@
      !Config  Units = [Kg/M3]
      CALL getin_p('PERCENT_TROUGHFALL_PFT',throughfall_by_pft)
+
      !-
      ! Albedo - sechiba
@@ -1281,31 +1331,4 @@
      !Config  Units = 
      CALL getin_p('ALB_LEAF_NIR',alb_leaf_nir)
-     !-
-     ! Soil - vegetation
-     !-
-     !
-     !Config  Key  = PREF_SOIL_VEG_SAND
-     !Config  Desc = Table which contains the correlation between the soil types and vegetation type
-     !Config  if  = OK_SECHIBA
-     !Config  Def  = 1, 3, 3, 2, 2, 2, 2, 2, 2, 2, 2, 2, 2
-     !Config  Help = first layer of the soil
-     !Config  Units = 
-     CALL getin_p('PREF_SOIL_VEG_SAND',pref_soil_veg_sand)
-     !
-     !Config  Key  = PREF_SOIL_VEG_LOAN
-     !Config  Desc = Table which contains the correlation between the soil types and vegetation type
-     !Config  if  = OK_SECHIBA
-     !Config  Def  = 2, 2, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3, 3
-     !Config  Help = second layer of the soil
-     !Config  Units = 
-     CALL getin_p('PREF_SOIL_VEG_LOAN',pref_soil_veg_loan) 
-      !
-     !Config  Key  = PREF_SOIL_VEG_CLAY
-     !Config  Desc = Table which contains the correlation between the soil types and vegetation type
-     !Config  if  = OK_SECHIBA
-     !Config  Def  = 3, 1, 1, 1, 1, 1 ,1 ,1 ,1 ,1 ,1 ,1, 1 
-     !Config  Help = third layer of the soil 
-     !Config  Units =        
-     CALL getin_p('PREF_SOIL_VEG_CLAY',pref_soil_veg_clay)
 
      first_call = .FALSE.
@@ -1323,5 +1346,5 @@
   LOGICAL, SAVE ::  first_call = .TRUE.
 
-  IF(first_call) THEN
+  IF (first_call) THEN
 
      !-
@@ -1344,4 +1367,5 @@
      !Config  Units = [m**2/gC]
      CALL getin_p('SLA',sla)
+
      !-
      ! Photosynthesis
@@ -1435,4 +1459,5 @@
      !Config  Units = NONE
      CALL getin_p('TPHOTO_MAX_C',tphoto_max_c)
+
      !-
      ! Respiration - stomate
@@ -1526,4 +1551,5 @@
      !Config  Units = [g/g/day] 
      CALL getin_p('CM_ZERO_CARBRES',cm_zero_carbres)
+
      !-
      ! Fire - stomate
@@ -1545,4 +1571,5 @@
      !Config  Units =
      CALL getin_p('RESIST',resist)
+
      !-
      ! Flux - LUC
@@ -1572,4 +1599,5 @@
      !Config  Units =
      CALL getin_p('COEFF_LCCHANGE_100',coeff_lcchange_100)
+
      !-
      ! Phenology
@@ -1599,4 +1627,5 @@
      !Config  Units = NONE
      CALL getin_p('PHENO_TYPE',pheno_type)
+
      !-
      ! Phenology : Leaf Onset
@@ -1817,4 +1846,5 @@
      !Config  Units = NONE
      CALL getin_p('SENESCENCE_TEMP_A',senescence_temp_a)
+
      !-
      ! DGVM
Index: branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90
===================================================================
--- branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90	(revision 426)
+++ branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90	(revision 428)
@@ -2947,4 +2947,8 @@
 
     ! 6. Read the parameters in the run.def file  according the flags
+
+    IF (impose_param ) THEN 
+       CALL getin_pft_parameters
+    ENDIF
 
     IF ( control_flags%ok_sechiba ) THEN