Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90	(revision 432)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_parameters/constantes.f90	(revision 433)
@@ -203,5 +203,5 @@
   REAL(r_std), PARAMETER :: pi = 4.*ATAN(1.)
   ! e
-  REAL(r_std),PARAMETER :: euler = 2.71828182846 !or euler = EXP(1.)
+  REAL(r_std),PARAMETER :: euler = EXP(1.) ! previously euler = 2.71828182846
   !-
   ! Integer constant set to zero
@@ -417,5 +417,5 @@
   !
   ! allow agricultural PFTs
-  LOGICAL,SAVE :: agriculture = .TRUE. 
+  LOGICAL, SAVE  :: agriculture = .TRUE. 
   LOGICAL, SAVE  :: impveg = .FALSE.
   LOGICAL, SAVE  :: impsoilt = .FALSE.
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/hydrol.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/hydrol.f90	(revision 432)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/hydrol.f90	(revision 433)
@@ -1895,13 +1895,4 @@
     INTEGER(i_std)                                :: ji, jv
     REAL(r_std), DIMENSION (kjpindex,nvm)          :: zqsintvegnew
-!!$    LOGICAL, SAVE                                  :: firstcall=.TRUE.
-!!$
-!!$    IF ( firstcall ) THEN
-!!$
-!!$       throughfall_by_pft = throughfall_by_pft / 100.
-!!$
-!!$       firstcall=.FALSE.
-!!$    ENDIF
-
 
     ! calcul de qsintmax a prevoir a chaque pas de temps
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/hydrolc.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/hydrolc.f90	(revision 432)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/hydrolc.f90	(revision 433)
@@ -447,5 +447,5 @@
     ENDIF
 
-    ! >> july 2011 add initialisation of sneige and throughfall_by_pft
+    ! >> DS : july 2011 add initialisation of sneige and throughfall_by_pft
     sneige = snowcri/mille
     throughfall_by_pft = throughfall_by_pft / 100.   
@@ -1450,12 +1450,4 @@
     INTEGER(i_std)                                :: ji, jv
     REAL(r_std), DIMENSION (kjpindex,nvm)          :: zqsintvegnew
-!!$    LOGICAL, SAVE                                  :: firstcall=.TRUE.
-!!$
-!!$    IF ( firstcall ) THEN
-!!$
-!!$       throughfall_by_pft = throughfall_by_pft / 100.
-!!$
-!!$       firstcall=.FALSE.
-!!$    ENDIF
 
     ! calcul de qsintmax a prevoir a chaque pas de temps
Index: /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90
===================================================================
--- /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90	(revision 432)
+++ /branches/ORCHIDEE_EXT/ORCHIDEE/src_sechiba/intersurf.f90	(revision 433)
@@ -66,9 +66,9 @@
   LOGICAL, SAVE :: OFF_LINE_MODE = .FALSE. 
   LOGICAL, SAVE :: check_time = .FALSE.
-  PUBLIC check_time, l_first_intersurf
+!!$ DS : ajout du flag IMPOSE_PARAM
+  ! Flag impos_param : should we read the parameters in the run.def file ?
+  LOGICAL, SAVE :: impose_param = .TRUE.
   !
-!!$ DS : ajout du flag IMPOSE_PARAM
-  ! Flag impos_param : it is set to true by default
-  LOGICAL, SAVE :: impose_param = .TRUE.
+  PUBLIC check_time, l_first_intersurf,impose_param
   !
 CONTAINS
@@ -2812,5 +2812,4 @@
        WRITE(numout,*) 'WATCHOUT file :', watchout_file
     ENDIF
-
     !
     !Config Key  = RIVER_ROUTING
@@ -2824,6 +2823,4 @@
     CALL getin_p('RIVER_ROUTING', control_flags%river_routing)
     WRITE(numout,*) "RIVER routing is activated : ",control_flags%river_routing
-    !
-
     !
     !Config key = HYDROL_CWRR
@@ -2844,6 +2841,4 @@
     ENDIF
     !
-
-    !
     !Config Key  = STOMATE_OK_CO2
     !Config Desc = Activate CO2?
@@ -2855,6 +2850,4 @@
     WRITE(numout,*) 'photosynthesis: ', control_flags%ok_co2
     !
-
-    !
     !Config Key  = STOMATE_OK_STOMATE
     !Config Desc = Activate STOMATE?
@@ -2865,6 +2858,4 @@
     CALL getin_p('STOMATE_OK_STOMATE',control_flags%ok_stomate)
     WRITE(numout,*) 'STOMATE is activated: ',control_flags%ok_stomate
-    !
-
     !
     !Config Key  = STOMATE_OK_DGVM