Index: tags/ORCHIDEE_2_0/ORCHIDEE/src_xml/CMIP6_ping_land.xml
===================================================================
--- tags/ORCHIDEE_2_0/ORCHIDEE/src_xml/CMIP6_ping_land.xml	(revision 5623)
+++ tags/ORCHIDEE_2_0/ORCHIDEE/src_xml/CMIP6_ping_land.xml	(revision 5624)
@@ -162,5 +162,5 @@
    <field id="CMIP6_fVegSoilSenescence" field_ref="dummy_XY_not_provided"    /> <!-- P2 (kg m-2 s-1) senescence_vegtosoil_carbon_flux : Total Carbon Mass Flux from Vegetation to Soil as a result of leaf, branch, and root senescence -->
    <field id="CMIP6_fahLut"        field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (W m-2) surface_upward_heat_flux_due_to_anthropogenic_energy_consumption : Anthropogenic heat flux generated from non-renewable human primary energy consumption, including energy use by vehicles, commercial and residential buildings, industry, and power plants.  Primary energy refers to energy in natural resources, fossil and nonfossil, before conversion into other forms, such as electricity. -->
-   <field id="CMIP6_fldcapacity"   field_ref="fldcapacity"       /> <!-- P1 (%)  : Field Capacity Warning: Defined as wilt/saturation, may still evolve (AD) -->
+   <field id="CMIP6_fldcapacity"   field_ref="fldcapacity"       /> <!-- P1 (%) volume_fraction_of_condensed_water_in_soil_at_field_capacity : Field Capacity -->
    <field id="CMIP6_fracInLut"     field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (%) area_fraction : annual gross fraction that was transferred into this tile from other land use tiles -->
    <field id="CMIP6_fracLut"       field_ref="fraclut" /> <!-- P1 (%) area_fraction : fraction of grid cell for each land use tile -->
@@ -280,5 +280,5 @@
    <field id="CMIP6_rlusLut"       field_ref="dummy_XY_landUse_not_provided" /> <!-- P1 (W m-2) surface_upwelling_longwave_flux_in_air : Surface Upwelling Longwave on Land Use Tile -->
    <field id="CMIP6_rootd"         field_ref="zmaxh"         /> <!-- P1 (m) root_depth : report the maximum soil depth reachable by plant roots (if defined in model), i.e., the maximum soil depth from which they can extract moisture; report as "missing" where the land fraction is 0. -->
-   <field id="CMIP6_rootdsl"       field_ref="nroot"       /> <!-- P1 (kg m-3)  : Root Distribution Warning: It's a relative root density per layer in Orchidee with no dimension. -->
+   <field id="CMIP6_rootdsl"       field_ref="dummy_XYSo"       /> <!-- P1 (kg m-2) root_mass_content_of_carbon : Root Distribution -->
    <field id="CMIP6_rsds"          field_ref="swdown"         /> <!-- P1 (W m-2) surface_downwelling_shortwave_flux_in_air : surface solar irradiance for UV calculations -->
    <field id="CMIP6_rsus"          field_ref="swdown"   >   swdown - swnet </field> <!-- P1 (W m-2) surface_upwelling_shortwave_flux_in_air : The surface called "surface" means the lower boundary of the atmosphere. "shortwave" means shortwave radiation. Upwelling radiation is radiation from below. It does not mean "net upward". When thought of as being incident on a surface, a radiative flux is sometimes called "irradiance". In addition, it is identical with the quantity measured by a cosine-collector light-meter and sometimes called "vector irradiance". In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. -->
@@ -334,5 +334,5 @@
    <field id="CMIP6_wetlandCH4prod" field_ref="dummy_XY_not_provided"         /> <!-- P2 (kg m-2 s-1) wetland_methane_production : Grid averaged methane production (methanogenesis) from wetlands -->
    <field id="CMIP6_wetlandFrac"   field_ref="dummy_XY_not_provided"         /> <!-- P2 (%) wetland_fraction : Fraction of a grid cell covered by wetland. -->
-   <field id="CMIP6_wilt"          field_ref="wilt"       /> <!-- P1 (%)  : Wilting Point Warning: Defined as wilt/saturation, may still evolve (AD) -->
+   <field id="CMIP6_wilt"          field_ref="wilt"       /> <!-- P1 (%) volume_fraction_of_condensed_water_in_soil_at_wilting_point : Wilting Point -->
    <field id="CMIP6_wtd"           field_ref="dummy_XY_not_provided"         /> <!-- P1 (m) depth_of_soil_moisture_saturation : depth_of_soil_moisture_saturation -->
 </field_definition>